%define		_class		Text
%define		_subclass	Diff
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.2.3
Release:	%mkrel 2
Summary:	Engine for performing and rendering text diffs
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/Text_Diff/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildRequires:	php-pear
BuildArch:	noarch


%description
This package provides a text-based diff engine and renderers for
multiple diff output formats. 

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.2.3-2.mga10
+ Revision: 2221508
- Mageia 10 Mass Rebuild

* Mon Mar 11 2024 mokraemer <mokraemer> 1.2.3-1.mga10
+ Revision: 2049219
- new version 1.2.3

* Tue Mar 22 2022 umeabot <umeabot> 1.2.2-4.mga9
+ Revision: 1819186
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.2.2-3.mga8
+ Revision: 1507351
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.2.2-2.mga7
+ Revision: 1287861
- Mageia 7 Mass Rebuild

* Tue Dec 19 2017 mokraemer <mokraemer> 1.2.2-1.mga7
+ Revision: 1183390
- new version

* Wed Feb 17 2016 umeabot <umeabot> 1.1.1-8.mga6
+ Revision: 964773
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-7.mga5
+ Revision: 745360
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-6.mga5
+ Revision: 687484
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-5.mga4
+ Revision: 517320
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-4.mga3
+ Revision: 377318
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 spuhler <spuhler> 1.1.1-3.mga1
+ Revision: 28019
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Text_Diff


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-3mdv2011.0
+ Revision: 607145
- rebuild

* Mon Nov 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.1-2mdv2010.1
+ Revision: 466490
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Sun Jul 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.1-1mdv2010.0
+ Revision: 400323
- update to new version 1.1.1

* Sun Jul 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-3mdv2010.0
+ Revision: 397468
- shipp missing classes
- don't duplicate spec-helper job

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdv2009.1
+ Revision: 321902
- rebuild

* Mon Oct 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 293183
- update to new version 1.1.0

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2009.0
+ Revision: 272597
- 1.0.0

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.2.1-4mdv2009.0
+ Revision: 224882
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-3mdv2008.1
+ Revision: 178538
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-2mdv2008.0
+ Revision: 90118
- rebuild


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-1mdv2007.0
+ Revision: 82749
- Import php-pear-Text_Diff

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-1mdk
- 0.2.1
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-1mdk
- initial Mandriva package (PLD import)

